> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Review a CometChat blocked message by ID with REST API to approve or reject content stopped by moderation rules.

# Review Blocked Message



## OpenAPI

````yaml patch /moderation/blocked-messages/{id}
openapi: 3.0.0
info:
  title: Chat APIs
  description: Manage messages, users, groups for a particular app using our Chat API.
  version: '3.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: API Keys
    description: The API keys are used to authorise the APIs
  - name: Roles
    description: The roles are used to give user access rights
  - name: Users
    description: The REST collection for users.
  - name: Auth Tokens
    description: The auth tokens are used to login end users using client SDKs.
  - name: Blocked Users
    description: The REST collections for blocked users.
  - name: Friends
    description: List,add and remove friends by passing UID in path variables
  - name: Groups
    description: The REST collections for groups.
  - name: Banned Users
    description: Ban and Unban user by passing other UID in path variables.
  - name: Group Members
    description: The REST collections for group members.
  - name: Messages
    description: The REST collections for messages.
  - name: Conversations
    description: The REST collections for conversations.
  - name: Restrict Features
    description: Allows Restricting Features
  - name: Metrics
    description: Allows accessing Data Metrics
  - name: Triggers
    description: Allows adding triggers to a webhook.
  - name: Webhooks
    description: Allows accessing Webhooks.
  - name: Notifications
    description: Allows configuring Notifications core.
  - name: Moderation
    description: The REST collections for Moderations.
paths:
  /moderation/blocked-messages/{id}:
    patch:
      tags:
        - Moderation
      summary: Review Blocked Message
      description: >-
        Updates the review status of a previously blocked message. This endpoint
        allows approving or rejecting the message based on the moderation
        evaluation results.
      operationId: chat-api-review-blocked-message
      parameters:
        - name: id
          in: path
          description: Id of the message of the message to be flagged.
          required: true
          schema:
            type: string
          examples:
            string:
              summary: Message ID
              value: ''
      requestBody:
        content:
          application/json:
            schema:
              required:
                - status
                - reviewed
              properties:
                status:
                  description: >-
                    Indicates the review decision for the moderated message.
                    Possible values: approved, rejected.
                  type: string
                  example: approved
                reviewed:
                  description: Specifies whether the moderation request has been reviewed.
                  type: boolean
                  example: true
              type: object
            examples:
              Review Moderation Request:
                summary: Approve or reject a moderated message
                value:
                  status: approved
                  reviewed: true
      responses:
        '200':
          description: Review Blocked Reasons
          content:
            application/json:
              schema:
                type: object
              example:
                data:
                  success: true
                  message: Message with ID 540185 has been reviewed successfully.
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
      name: apikey
      in: header

````